# Person Check

This endpoint is used to create a **person check** or **personal credit history check**. The parameters you need to send will depend on the **country** and the **type of check**. There are also optional parameters that can improve the results by querying additional databases and filtering homonyms in some cases.

{% hint style="danger" %}
**Important**: To request a credit history check for a persona in Colombia, please [contact the sales team](https://zapsign.co/contact-sales) to activate this feature.
{% endhint %}

<mark style="color:blue;">**`POST`**</mark> `https://api.zapsign.com.br/api/v1/checks/`&#x20;

#### Header

<table><thead><tr><th width="175">Nombre</th><th width="103">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>API token prefixed with the word "Bearer". Example: <code>Bearer c7f35c84-xxxx</code></td></tr></tbody></table>

#### Request Body

<table><thead><tr><th width="155">Nombre</th><th width="131">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>country<mark style="color:red;">*</mark></td><td>string</td><td>BR | CO | CL | MX | PE. Más detalle de consultas disponibles <a href="/pages/jjPd2IcUVgpFwJKirqoL">haz clic aqui</a></td></tr><tr><td>type<mark style="color:red;">*</mark></td><td>string</td><td><p>Type of check: <strong>"person", "credit_person_co", "credit_person_br",</strong> </p><p> <a href="/pages/eDXKCyr166dIohdQC5UP">Click here</a> for more detail</p></td></tr><tr><td>user_authorized<mark style="color:red;">*</mark></td><td>boolean</td><td>Indicates whether the person authorized the check. Must be true to proceed.</td></tr><tr><td>force_creation</td><td>boolean</td><td>If true, forces the creation of a new background check even if one already exists. If false, returns the result of the previous check (if available).</td></tr><tr><td>first_name</td><td>string</td><td>Person's first name. If provided, international databases will be consulted for more detailed results.</td></tr><tr><td>last_name</td><td>string</td><td>Person's last name. Same behavior as first_name.</td></tr><tr><td>national_id</td><td>string</td><td>Official ID number. You must send either national_id, foreign_id, ptp, or ppt.</td></tr><tr><td>foreign_id</td><td>string</td><td>Foreigner ID document. Available for CO, CL, MX, PE.</td></tr><tr><td>ptp</td><td>string</td><td>Temporary Protection Permit. Only available for PE.</td></tr><tr><td>ppt</td><td>string</td><td>Temporary Protection Permit. Only available for CO.</td></tr><tr><td>state_id</td><td>string</td><td>RG (Registro Geral) en Brasil. Esta RG (General Registry) in Brazil. Format varies by issuing state. Required for full background checks in Brazil.</td></tr><tr><td>date_of_birth</td><td>string</td><td>Date of birth in YYYY-MM-DD format. Required for foreigners in CL and CO, and for official documents in PE and BR. In other cases, it helps provide more accurate results.</td></tr><tr><td>region</td><td>string</td><td><p>Required for BR. Region for the background check. Use a specific state or ALL for a national search. National searches may take up to 24 hours; regional searches take 2–20 minutes.</p><p>DF | AC | AL | AP | AM | BA | CE | ES | GO | MA | MT | MS | MG | PA | PB | PR | PE | PI | RJ | RN | RS | RO | RR | SC | SP | SE | TO | ALL</p></td></tr><tr><td>issue_date</td><td>DateTime</td><td>Document issue date in YYYY-MM-DD format. Applies to CL (national_id) and CO (national_id and foreign_id).</td></tr><tr><td>custom_input</td><td>string</td><td>Optional external identifier for reference (max 128 characters).</td></tr><tr><td>verification_code</td><td>string</td><td>Verification code for criminal records in PE and CL.</td></tr><tr><td>issue_number</td><td>string</td><td>Chilean ID document issue number. Used to get additional information. Only applies to Chile.</td></tr><tr><td>observers</td><td>array&#x3C;string></td><td>Represents background check observers (limit 20), i.e. email addresses that will be notified when the background check is completed. It's an array of strings.</td></tr></tbody></table>

{% hint style="warning" %}
Note: Each background check incurs an additional cost depending on the check type. You can top up your balance in your account under: Plans and Pricing > Credits

Person check in CO, BR, CL, PE: 90 credits (USD $1.80)

Person check in MX: 130 credits (USD $2.60)

Person credit history check CO and BR: 200 credits (USD $4.00)
{% endhint %}

Example Request

```json
{
    "user_authorized": true,
    "force_creation": true,
    "type": "person",
    "country": "CO",
    "national_id": "11111111"
}
```

#### Response

```json
{
    "check_id": "CHK682a755bb7135140248cc8dd1d290a01",
    "status": "not_started",
    "company_name": "",
    "full_name": "",
    "first_name": "",
    "last_name": "",
    "date_of_birth": null,
    "issue_date": null,
    "national_id": "11111111",
    "foreign_id": "",
    "tax_id": "",
    "country": "CO",
    "native_country": "",
    "check_type": "person",
    "lang": "es",
    "region": "",
    "created_at": "2025-03-28T17:49:43.363416Z",
    "last_update_at": "2025-03-28T17:49:43.363435Z"
}
```

**Reminder:** The results of a check may take between 2 and 20 minutes.\
To retrieve the results, you can use:

* The [**Check Details**](/english/check-detail.md) endpoint
* The [**Retrieve Check**](/english/check-status.md) endpoint
* The [**Check Completed**](/english/webhooks/eventos/checks/background-check-completed.md) webhook


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/create-check/person_check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
